# revision 27025
# category Package
# catalog-ctan /support/latexpand
# catalog-date 2012-07-12 10:46:16 +0200
# catalog-license bsd
# catalog-version undef
Name:		texlive-latexpand
Version:	20120712
Release:	2
Summary:	Expand \input and \include in a LaTeX document
Group:		Publishing
URL:		http://www.ctan.org/tex-archive/support/latexpand
License:	BSD
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/latexpand.tar.xz
Source1:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/latexpand.doc.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-kpathsea
Provides:	texlive-latexpand.bin = %{EVRD}

%description
Latexpand is a Perl script that simply replaces \input and
\include commands with the content of the file input/included.
The script does not deal with \includeonly commands.

%post
    %{_sbindir}/texlive.post

%postun
    if [ $1 -eq 0 ]; then
	%{_sbindir}/texlive.post
    fi

#-----------------------------------------------------------------------
%files
%{_bindir}/latexpand
%{_texmfdistdir}/scripts/latexpand/latexpand
%doc %{_texmfdistdir}/doc/support/latexpand/Makefile
%doc %{_texmfdistdir}/doc/support/latexpand/README
%doc %{_texmfdistdir}/doc/support/latexpand/tests/README
%doc %{_texmfdistdir}/doc/support/latexpand/tests/foo.tex
%doc %{_texmfdistdir}/doc/support/latexpand/tests/includer.tex
%doc %{_texmfdistdir}/doc/support/latexpand/tests/just-comment.tex
%doc %{_texmfdistdir}/doc/support/latexpand/tests/my-package.sty
%doc %{_texmfdistdir}/doc/support/latexpand/tests/no-eol.tex
%doc %{_texmfdistdir}/doc/support/latexpand/tests/package-user.tex
%doc %{_texmfdistdir}/doc/support/latexpand/version.txt

#-----------------------------------------------------------------------
%prep
%setup -c -a0 -a1

%build

%install
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -sf %{_texmfdistdir}/scripts/latexpand/latexpand latexpand
popd
mkdir -p %{buildroot}%{_datadir}
cp -fpar texmf-dist %{buildroot}%{_datadir}

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 20120712-2
+ Revision: ae33f48
- MassBuild#440: Increase release tag


